#include <bits/stdc++.h>
#include <cmath>
using namespace std;
int provera(long p){
    int b;
    string s = to_string(p);
    int n = s.length();    
    int t = p / (pow(10,n-1));
    long r = (pow(10,n-1));
    if(  (p % r==0)  && ( (t==1) ||  (t==2) || (t==5) )){
        b=1;
    }
    else{
        b=0;
    }
    return b;
}

int main()
{
   long long p;
   long long s=0;
   long long V;
   long long int x;
   int br=0;
   int q=1;
   cin>>V;
   p=V;
   while(s<V){
       for(int t=0; t!=1 && p>0 ;p--){
           t=provera(p);
       }
       p=p+1;
       if(p>0) x=(V-s)/p;
       s=s+x*p;
       if(p<=1){
           q=0;
       }
       p=V-s;
       br=br+x;
   }
   cout<<br;
  
}